## inkcut 2.1.7+dfsg

=== requirements.txt ===
enaml>=0.10.2
twisted
enamlx
pyqtgraph
ipykernel<5; python_version < '3.0'
qtconsole
pyserial>=3.4
jsonpickle
lxml
faulthandler; python_version < '3.0'
PyQt6; python_version >= '3.0'
qt-reactor
pytest
pytest-coverage
# for pytest-qt:
pytest-qt
codecov

=== debian/changelog ===
inkcut (2.1.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * Make sure PYTEST_QT_API=pyqt5 is used to avoid wrong testing backend
    being used when additional dependencies are installed (Closes: #1124166)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jan 2026 13:51:04 +0100

inkcut (2.1.7+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1100156)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Mon, 17 Nov 2025 16:11:51 +0000

=== debian/control ===
Source: inkcut
Section: graphics
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-atom,
 python3-cups,
 python3-enaml (>= 0.10.2),
 python3-twisted,
 python3-enamlx,
 python3-pyqtgraph,
 python3-qtconsole,
 python3-serial (>= 3.4),
 python3-jsonpickle,
 python3-lxml,
 python3-pyqt5,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytestqt <!nocheck>,
 python3-qt5reactor,
 python3-qtpy,
 python3-qtpy-pyqt5,
 python3-setuptools,
 qttools5-dev-tools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/inkcut
Vcs-Git: https://salsa.debian.org/python-team/packages/inkcut.git
Homepage: https://codelv.com/projects/inkcut/
Testsuite: autopkgtest-pkg-pybuild
Description: GUI for controlling vinyl cutters
 Features:
 .
  * Graphic manipulation (Rotation, scaling, mirroring)
  * Copy generation and layout
  * Weedlines
  * Inkscape integration
  * Device control panel
  * Job history list
  * Live plot status
  * Pause, resume, and abort jobs mid way

Package: inkcut
Architecture: all
Depends:
 famfamfam-silk,
 python3-qt5reactor,
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: inkscape-inkcut
Architecture: all
Depends:
 inkcut,
 inkscape,
 python3-lxml,
 ${misc:Depends},
Description: ${source:Synopsis} (Inkscape plugin)
 ${source:Extended-Description}
 .
 This package contains the Inkscape plugin.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=inkcut
export PYBUILD_AFTER_BUILD=/usr/lib/qt5/bin/lrelease {dir}/inkcut/res/translations/*.ts
export PYBUILD_INSTALL_ARGS=--install-lib /usr/share/inkcut
export PYBUILD_TEST_PYTEST=1
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export PYTHONPATH=/usr/share/inkcut
else
export PYBUILD_TEST_ARGS=-k 'not test_app'
endif
export PYBUILD_DESTDIR_python3=debian/inkcut/

export QT_QPA_PLATFORM=offscreen
export PYTEST_QT_API=pyqt5

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	pod2man -c "User Commands" --release "Inkcut $(DEB_VERSION_UPSTREAM)" --section 1 debian/inkcut.pod > debian/inkcut.1

execute_after_dh_auto_install:
	enamlclean debian/inkcut/usr/share/inkcut/inkcut/
	mv debian/inkcut/usr/bin/inkcut debian/inkcut/usr/share/inkcut/run
	rm -r debian/inkcut/usr/share/inkcut/inkcut/res/
